Index: anuga_work/production/dampier_2006/build_dampier.py
===================================================================
--- anuga_work/production/dampier_2006/build_dampier.py	(revision 4542)
+++ anuga_work/production/dampier_2006/build_dampier.py	(revision 4544)
@@ -36,5 +36,5 @@
 
 # Application specific imports
-import project   # Definition of file names and polygons
+import project_urs   # Definition of file names and polygons
 
 #------------------------------------------------------------------------------
@@ -42,11 +42,11 @@
 # output to file
 #------------------------------------------------------------------------------
-copy_code_files(project.output_build_time_dir,__file__, 
-               dirname(project.__file__)+sep+ project.__name__+'.py' )
+copy_code_files(project_urs.output_build_time_dir,__file__, 
+               dirname(project_urs.__file__)+sep+ project_urs.__name__+'.py' )
 
-start_screen_catcher(project.output_build_time_dir)
+start_screen_catcher(project_urs.output_build_time_dir)
 print "Processor Name:",get_processor_name()
 
-print 'USER:    ', project.user
+print 'USER:    ', project_urs.user
 
 #-------------------------------------------------------------------------------
@@ -57,18 +57,18 @@
 # Fine pts file to be clipped to area of interest
 #-------------------------------------------------------------------------------
-print"project.combined_dir_name",project.combined_dir_name
+print"project_urs.combined_dir_name",project_urs.combined_dir_name
 
 # topography directory filenames
-onshore_in_dir_name = project.onshore_in_dir_name
-coast_in_dir_name = project.coast_in_dir_name
-offshore_in_dir_name = project.offshore_in_dir_name
-offshore1_in_dir_name = project.offshore1_in_dir_name
-offshore2_in_dir_name = project.offshore2_in_dir_name
+onshore_in_dir_name = project_urs.onshore_in_dir_name
+coast_in_dir_name = project_urs.coast_in_dir_name
+offshore_in_dir_name = project_urs.offshore_in_dir_name
+offshore1_in_dir_name = project_urs.offshore1_in_dir_name
+offshore2_in_dir_name = project_urs.offshore2_in_dir_name
 
-onshore_dir_name = project.onshore_dir_name
-coast_dir_name = project.coast_dir_name
-offshore_dir_name = project.offshore_dir_name
-offshore1_dir_name = project.offshore1_dir_name
-offshore2_dir_name = project.offshore2_dir_name
+onshore_dir_name = project_urs.onshore_dir_name
+coast_dir_name = project_urs.coast_dir_name
+offshore_dir_name = project_urs.offshore_dir_name
+offshore1_dir_name = project_urs.offshore1_dir_name
+offshore2_dir_name = project_urs.offshore2_dir_name
 '''
 # creates DEM from asc data
@@ -113,13 +113,13 @@
 
 print'clip combined geospatial object by bounding polygon'
-G_clipped = G.clip(project.poly_all)
+G_clipped = G.clip(project_urs.poly_all)
 #FIXME: add a clip function to pts
 #print'shape of clipped data', G_clipped.get_data_points().shape
 
 print'export combined DEM file'
-if access(project.topographies_dir,F_OK) == 0:
-    mkdir (project.topographies_dir)
-G_clipped.export_points_file(project.combined_dir_name + '.pts')
-#G_clipped.export_points_file(project.combined_dir_name + '.txt')
+if access(project_urs.topographies_dir,F_OK) == 0:
+    mkdir (project_urs.topographies_dir)
+G_clipped.export_points_file(project_urs.combined_dir_name + '.pts')
+#G_clipped.export_points_file(project_urs.combined_dir_name + '.txt')
 
 print'split combined data set'
@@ -127,52 +127,60 @@
 
 print'export split DEM file'
-G_small.export_points_file(project.combined_dir_name + '_small' + '.pts')
-G_other.export_points_file(project.combined_dir_name + '_other' + '.pts')
+G_small.export_points_file(project_urs.combined_dir_name + '_small' + '.pts')
+G_other.export_points_file(project_urs.combined_dir_name + '_other' + '.pts')
 
-print 'start reading:',project.combined_smaller_dir_name + '.txt'
-G = Geospatial_data(file_name = project.combined_smaller_dir_name + '.txt')
+print 'start reading:',project_urs.combined_smaller_dir_name + '.txt'
+G = Geospatial_data(file_name = project_urs.combined_smaller_dir_name + '.txt')
 print 'start split'
 G_smallest, G_other = G.split(0.1,True)
 
-print 'start export',project.combined_smallest_dir_name + '.txt'
-#G.export_points_file(project.combined_smaller_dir_name + '.txt')
-#G_smallest.export_points_file(project.combined_smallest_dir_name + '.txt')
+print 'start export',project_urs.combined_smallest_dir_name + '.txt'
+#G.export_points_file(project_urs.combined_smaller_dir_name + '.txt')
+#G_smallest.export_points_file(project_urs.combined_smallest_dir_name + '.txt')
 '''
 #-------------------------------------------------------------------------
 # Convert URS to SWW file for boundary conditions 
 #-------------------------------------------------------------------------
+'''
 print 'starting to create boundary conditions'
-boundaries_in_dir_name = project.boundaries_in_dir_name
+boundaries_in_dir_name = project_urs.boundaries_in_dir_name
 
 from anuga.shallow_water.data_manager import urs2sww
 
-print 'minlat=project.north_boundary, maxlat=project.south_boundary',project.north_boundary, project.south_boundary
-print 'minlon= project.west_boundary, maxlon=project.east_boundary',project.west_boundary, project.east_boundary
+print 'minlat=project_urs.north_boundary, maxlat=project_urs.south_boundary',project_urs.north_boundary, project_urs.south_boundary
+print 'minlon= project_urs.west_boundary, maxlon=project_urs.east_boundary',project_urs.west_boundary, project_urs.east_boundary
 
 #import sys; sys.exit()
 
-#if access(project.boundaries_dir,F_OK) == 0:
-#    mkdir (project.boundaries_dir)
+#if access(project_urs.boundaries_dir,F_OK) == 0:
+#    mkdir (project_urs.boundaries_dir)
 
 from caching import cache
 cache(urs2sww,
       (boundaries_in_dir_name,
-       project.boundaries_dir_name+'a'),
+       project_urs.boundaries_dir_name+'a'),
       {'verbose': True,
-       'minlat': project.south_boundary,
-       'maxlat': project.north_boundary,
-       'minlon': project.west_boundary,
-       'maxlon': project.east_boundary,
+       'minlat': project_urs.south_boundary,
+       'maxlat': project_urs.north_boundary,
+       'minlon': project_urs.west_boundary,
+       'maxlon': project_urs.east_boundary,
        'mint': 5000, 'maxt': 35000,
 #       'origin': domain.geo_reference.get_origin(),
-#       'mean_stage': project.tide,
+#       'mean_stage': project_urs.tide,
        'zscale': 1,                 #Enhance tsunami
        'fail_on_NaN': False},
        verbose = True,
        )
-#       dependencies = source_dir + project.boundary_basename + '.sww')
+#       dependencies = source_dir + project_urs.boundary_basename + '.sww')
+'''
+print 'starting to create boundary conditions'
+from anuga.shallow_water.data_manager import urs2sww, urs_ungridded2sww
+
+print 'boundaries_in_dir_name',project_urs.boundaries_in_dir_name
+
+urs_ungridded2sww(project_urs.boundaries_in_dir_name, project_urs.boundaries_in_dir_name,
+                  verbose=True, mint=4000, maxt=35000, zscale=1)
 
 
 
 
-
Index: anuga_work/production/dampier_2006/project_urs.py
===================================================================
--- anuga_work/production/dampier_2006/project_urs.py	(revision 4542)
+++ anuga_work/production/dampier_2006/project_urs.py	(revision 4544)
@@ -25,6 +25,6 @@
 
 #tide = -2.5
-#tide = 0.0
-tide = 2.4
+tide = 0.0
+#tide = 2.4
 
 #Maybe will try to make project a class to allow these parameters to be passed in.
@@ -34,5 +34,5 @@
 finaltime=25000
 setup='final'
-source='onslow'
+source='exmouth'
 
 if setup =='trial':
@@ -113,13 +113,13 @@
 
 if source =='dampier':
-    boundaries_name = 'pt_hedland_3854_17042007' #Dampier gun
+    boundaries_name = 'dampier' #Dampier gun
     boundaries_in_dir = anuga_dir+'boundaries'+sep+'urs'+sep+'dampier'+sep+'1_10000'+sep
 
 if source=='onslow':
-    boundaries_name = 'pt_hedland_3859_16052007' #onslow_hedland_broome gun
+    boundaries_name = 'dampier_3859_16052007' #onslow_hedland_broome gun
     boundaries_in_dir = anuga_dir+'boundaries'+sep+'urs'+sep+'onslow_hedland_broome'+sep+'1_10000'+sep
     
 if source=='exmouth':
-    boundaries_name = 'pt_hedland_3103_18052007' #exmouth gun
+    boundaries_name = 'dampier_3103_18052007' #exmouth gun
     boundaries_in_dir = anuga_dir+'boundaries'+sep+'urs'+sep+'exmouth'+sep+'1_10000'+sep
 