Index: /anuga_core/source/anuga/shallow_water/data_manager.py
===================================================================
--- /anuga_core/source/anuga/shallow_water/data_manager.py	(revision 4549)
+++ /anuga_core/source/anuga/shallow_water/data_manager.py	(revision 4550)
@@ -426,5 +426,6 @@
         #Close
         fid.close()
-
+        
+### FIXME Where are the tests for this object?
     def store_timestep(self, names):
         """Store time and named quantities to file
@@ -541,13 +542,14 @@
                                           precision = self.precision)
                 self.writer.quantities(fid, 
-                                                 time=self.domain.time,
-                                                 precision=self.precision,
-                                                 stage=stage,
-                                                 xmomentum=xmomentum,
-                                                 ymomentum=ymomentum)
+                                       time=self.domain.time +domain.starttime
+                                       ,
+                                       precision=self.precision,
+                                       stage=stage,
+                                       xmomentum=xmomentum,
+                                       ymomentum=ymomentum)
             else:
                 # This is producing a sww that is not standard.
                 #Store time
-                time[i] = self.domain.time
+                time[i] = self.domain.time + domain.starttime
                 
                 for name in names:
@@ -4752,6 +4754,5 @@
         """
         outfile - the name of the file that will be written
-        times - A list of the time slice times OR a start time
-        Note, if a list is given the info will be made relative.
+        times - A list of the time slice times 
         number_of_volumes - the number of triangles
         """
@@ -4781,19 +4782,17 @@
         #Start time in seconds since the epoch (midnight 1/1/1970)
 
+        # Values used to be relative, so a start time was important
+        # It may not be needed anymore.
+        # though there is probably code that reads it.
+        outfile.starttime = 0
+        
         # this is being used to seperate one number from a list.
         # what it is actually doing is sorting lists from numeric arrays.
         if type(times) is list or type(times) is ArrayType:  
             number_of_times = len(times)
-            times = ensure_numeric(times)  
-            if number_of_times == 0:
-                starttime = 0
-            else:
-                starttime = times[0]
-                times = times - starttime  #Store relative times
+            times = ensure_numeric(times)
         else:
             number_of_times = 0
-            starttime = times
-            #times = ensure_numeric([])
-        outfile.starttime = starttime
+            
         # dimension definitions
         outfile.createDimension('number_of_volumes', number_of_volumes)
Index: /anuga_core/source/anuga/shallow_water/test_data_manager.py
===================================================================
--- /anuga_core/source/anuga/shallow_water/test_data_manager.py	(revision 4549)
+++ /anuga_core/source/anuga/shallow_water/test_data_manager.py	(revision 4550)
@@ -5749,10 +5749,10 @@
         
         time = fid.variables['time'][:]
-        assert allclose(time, [0.0]) # the time is relative
-        assert fid.starttime == 0.5
+        assert allclose(time, [0.5]) # the time is absolute
+        assert fid.starttime == 0.0
         
         fid.close()
         self.delete_mux(files)
-        #print "sww_file", sww_file
+        ### print "sww_file", sww_file
         os.remove(sww_file)
         
@@ -6355,5 +6355,6 @@
         times = fid.variables['time'][:]
         
-        times_actual = [0,100,200,300]
+        times_actual = [0,100,200,300] # times used to be relative
+        times_actual = [200,300,400,500] # now they are actual
        
         assert allclose(ensure_numeric(times),