Index: /anuga_core/source/anuga/shallow_water/test_shallow_water_domain.py
===================================================================
--- /anuga_core/source/anuga/shallow_water/test_shallow_water_domain.py	(revision 4552)
+++ /anuga_core/source/anuga/shallow_water/test_shallow_water_domain.py	(revision 4553)
@@ -1105,7 +1105,7 @@
         domain.set_quantities_to_be_stored(None)
         domain.set_maximum_allowed_speed(100) #
-	
-	# FIXME (Ole): Need tests where this is commented out
-        domain.limit2007 = 0 # Backwards compatibility (14/4/7)        		
+        
+        # FIXME (Ole): Need tests where this is commented out
+        domain.limit2007 = 0 # Backwards compatibility (14/4/7)                 
         domain.H0 = 0 # Backwards compatibility (6/2/7)
         domain.beta_h = 0.2 # Backwards compatibility (14/2/7)
@@ -1231,6 +1231,6 @@
         domain.set_quantity('stage', stage)
 
-	# Allow slope limiters to work (FIXME (Ole): Shouldn't this be automatic in ANUGA?)	
-        domain.distribute_to_vertices_and_edges()	
+        # Allow slope limiters to work (FIXME (Ole): Shouldn't this be automatic in ANUGA?)     
+        domain.distribute_to_vertices_and_edges()       
 
         initial_stage = copy.copy(domain.quantities['stage'].vertex_values)
@@ -2013,39 +2013,39 @@
         L = domain.quantities['stage'].vertex_values
 
-	# Get reference values
-	volumes = []
-	for i in range(len(L)):
-	    volumes.append(sum(L[i])/3)
-            assert allclose(volumes[i], domain.quantities['stage'].centroid_values[i])	
-        
-	
-	domain._order_ = 1
-	
-	domain.limit2007 = 0
+        # Get reference values
+        volumes = []
+        for i in range(len(L)):
+            volumes.append(sum(L[i])/3)
+            assert allclose(volumes[i], domain.quantities['stage'].centroid_values[i])  
+        
+        
+        domain._order_ = 1
+        
+        domain.limit2007 = 0
         domain.distribute_to_vertices_and_edges()
         assert allclose(L[1], [0.1, 20.1, 20.1])
-	for i in range(len(L)):
-            assert allclose(volumes[i], sum(L[i])/3)			
-	
-	domain.limit2007 = 1 # Allow triangle to be flatter (closer to bed)
+        for i in range(len(L)):
+            assert allclose(volumes[i], sum(L[i])/3)                    
+        
+        domain.limit2007 = 1 # Allow triangle to be flatter (closer to bed)
         domain.distribute_to_vertices_and_edges()
         assert allclose(L[1], [0.298, 20.001, 20.001])
-	for i in range(len(L)):
-            assert allclose(volumes[i], sum(L[i])/3)	
+        for i in range(len(L)):
+            assert allclose(volumes[i], sum(L[i])/3)    
 
         domain._order_ = 2
-	
-	domain.limit2007 = 0
+        
+        domain.limit2007 = 0
         domain.distribute_to_vertices_and_edges()
-        assert allclose(L[1], [0.1, 20.1, 20.1])	
-	for i in range(len(L)):
-            assert allclose(volumes[i], sum(L[i])/3)		
-	
-	domain.limit2007 = 1 # Allow triangle to be flatter (closer to bed)
+        assert allclose(L[1], [0.1, 20.1, 20.1])        
+        for i in range(len(L)):
+            assert allclose(volumes[i], sum(L[i])/3)            
+        
+        domain.limit2007 = 1 # Allow triangle to be flatter (closer to bed)
         domain.distribute_to_vertices_and_edges()
         assert allclose(L[1], [0.298, 20.001, 20.001])
-	for i in range(len(L)):
-            assert allclose(volumes[i], sum(L[i])/3)	
-	
+        for i in range(len(L)):
+            assert allclose(volumes[i], sum(L[i])/3)    
+        
 
 
@@ -2084,38 +2084,38 @@
 
         # Get reference values
-	volumes = []
-	for i in range(len(L)):
-	    volumes.append(sum(L[i])/3)
-            assert allclose(volumes[i], domain.quantities['stage'].centroid_values[i])	
-	
+        volumes = []
+        for i in range(len(L)):
+            volumes.append(sum(L[i])/3)
+            assert allclose(volumes[i], domain.quantities['stage'].centroid_values[i])  
+        
         #print E
         domain._order_ = 1
-	
-	domain.limit2007 = 0
+        
+        domain.limit2007 = 0
         domain.distribute_to_vertices_and_edges()
-        assert allclose(L[1], [4.1, 16.1, 20.1])	
-	for i in range(len(L)):
+        assert allclose(L[1], [4.1, 16.1, 20.1])        
+        for i in range(len(L)):
             assert allclose(volumes[i], sum(L[i])/3)
-	
-     		
-	domain.limit2007 = 1 # Allow triangle to be flatter (closer to bed)
+        
+                
+        domain.limit2007 = 1 # Allow triangle to be flatter (closer to bed)
         domain.distribute_to_vertices_and_edges()
         assert allclose(L[1], [4.2386, 16.0604, 20.001])
-	for i in range(len(L)):
-            assert allclose(volumes[i], sum(L[i])/3)	
-	
+        for i in range(len(L)):
+            assert allclose(volumes[i], sum(L[i])/3)    
+        
 
         domain._order_ = 2
-	
-	domain.limit2007 = 0	
+        
+        domain.limit2007 = 0    
         domain.distribute_to_vertices_and_edges()
         assert allclose(L[1], [4.1, 16.1, 20.1])
-	for i in range(len(L)):
-            assert allclose(volumes[i], sum(L[i])/3)	
-	
-	domain.limit2007 = 1 # Allow triangle to be flatter (closer to bed)
+        for i in range(len(L)):
+            assert allclose(volumes[i], sum(L[i])/3)    
+        
+        domain.limit2007 = 1 # Allow triangle to be flatter (closer to bed)
         domain.distribute_to_vertices_and_edges()
         assert allclose(L[1], [4.23370103, 16.06529897, 20.001])
-	for i in range(len(L)):
+        for i in range(len(L)):
             assert allclose(volumes[i], sum(L[i])/3)
 
@@ -2170,9 +2170,9 @@
         domain.beta_vh_dry = 0.9
         domain.beta_h = 0.0 #Use first order in h-limiter
-	
-	# FIXME (Ole): Need tests where this is commented out
-        domain.limit2007 = 0 # Backwards compatibility (14/4/7)        		
-	
-		
+        
+        # FIXME (Ole): Need tests where this is commented out
+        domain.limit2007 = 0 # Backwards compatibility (14/4/7)                 
+        
+                
         domain.distribute_to_vertices_and_edges()
 
@@ -2258,6 +2258,6 @@
 
         #Also check that Python and C version produce the same
-	# No longer applicable if limit2007 == 1
-	#print stage.vertex_values
+        # No longer applicable if limit2007 == 1
+        #print stage.vertex_values
         #assert allclose (stage.vertex_values,
         #                 [[2,2,2],
@@ -3091,5 +3091,5 @@
 
         # FIXME (Ole): Need some other assertion here! 
-	#print domain.min_timestep, domain.max_timestep    
+        #print domain.min_timestep, domain.max_timestep    
         #assert allclose(domain.min_timestep, 0.050010003001)
         #assert allclose(domain.max_timestep, 0.050010003001)
@@ -3111,8 +3111,8 @@
         domain.default_order = 1
         domain.beta_h = 0.0 # Use first order in h-limiter
-	
-	# FIXME (Ole): Need tests where these two are commented out
+        
+        # FIXME (Ole): Need tests where these two are commented out
         domain.H0 = 0        # Backwards compatibility (6/2/7)        
-        domain.limit2007 = 0 # Backwards compatibility (14/4/7)        	
+        domain.limit2007 = 0 # Backwards compatibility (14/4/7)         
 
         #Bed-slope and friction
@@ -3184,8 +3184,8 @@
         domain.beta_vh_dry = 0.9
 
-	
-	# FIXME (Ole): Need tests where this is commented out
-        domain.limit2007 = 0 # Backwards compatibility (14/4/7)        	
-	
+        
+        # FIXME (Ole): Need tests where this is commented out
+        domain.limit2007 = 0 # Backwards compatibility (14/4/7)         
+        
         #Bed-slope and friction at vertices (and interpolated elsewhere)
         def x_slope(x, y):
@@ -3280,7 +3280,7 @@
         domain.beta_vh_dry = 0.9
         domain.beta_h = 0.0 #Use first order in h-limiter
-	
-	# FIXME (Ole): Need tests where this is commented out
-        domain.limit2007 = 0 # Backwards compatibility (14/4/7)        		
+        
+        # FIXME (Ole): Need tests where this is commented out
+        domain.limit2007 = 0 # Backwards compatibility (14/4/7)                 
         domain.H0 = 0 # Backwards compatibility (6/2/7)        
 
@@ -3382,7 +3382,7 @@
         domain.beta_vh_dry = 0.9
         domain.beta_h = 0.0 #Use first order in h-limiter
-	
-	# FIXME (Ole): Need tests where this is commented out
-        domain.limit2007 = 0 # Backwards compatibility (14/4/7)        		
+        
+        # FIXME (Ole): Need tests where this is commented out
+        domain.limit2007 = 0 # Backwards compatibility (14/4/7)                 
         domain.H0 = 0 # Backwards compatibility (6/2/7)
 
@@ -3480,11 +3480,11 @@
         domain.beta_vh_dry = 0.9
         domain.beta_h = 0.0 #Use first order in h-limiter
-	
-	
-	# FIXME (Ole): Need tests where these two are commented out
+        
+        
+        # FIXME (Ole): Need tests where these two are commented out
         domain.H0 = 0        # Backwards compatibility (6/2/7)        
-        domain.limit2007 = 0 # Backwards compatibility (14/4/7)        		
-        
-	        
+        domain.limit2007 = 0 # Backwards compatibility (14/4/7)                 
+        
+                
 
         #Bed-slope and friction at vertices (and interpolated elsewhere)
@@ -3595,5 +3595,5 @@
 
         Test shallow water finite volumes, using parameters from 
-	feb 2007 rather than backward compatibility ad infinitum
+        feb 2007 rather than backward compatibility ad infinitum
         
         """
@@ -3616,5 +3616,5 @@
         domain.beta_h = 0.0 #Use first order in h-limiter
         domain.H0 = 0.001
-	domain.limit2007 = 1
+        domain.limit2007 = 1
 
         #Bed-slope and friction at vertices (and interpolated elsewhere)
@@ -3668,18 +3668,18 @@
 
 
-	    
+            
         assert allclose(domain.quantities['stage'].centroid_values,
-	 [-0.03348416, -0.01749303, -0.03299091, -0.01739241, -0.03246447, -0.01732016,
-	  -0.03205390, -0.01717833, -0.03146383, -0.01699831, -0.03076577, -0.01671795,
-	  -0.07952656, -0.06684763, -0.07721455, -0.06668388, -0.07632976, -0.06600113,
-	  -0.07523678, -0.06546373, -0.07447040, -0.06508861, -0.07438723, -0.06359288,
-	  -0.12526729, -0.11205668, -0.12179433, -0.11068104, -0.12048395, -0.10968948,
-	  -0.11912023, -0.10862628, -0.11784090, -0.10803744, -0.11790629, -0.10742354,
-	  -0.16859613, -0.15427413, -0.16664444, -0.15464452, -0.16570816, -0.15327556,
-	  -0.16409162, -0.15204092, -0.16264608, -0.15102139, -0.16162736, -0.14969205,
-	  -0.18736511, -0.19874036, -0.18811230, -0.19758289, -0.18590182, -0.19580301,
-	  -0.18234588, -0.19423215, -0.18100376, -0.19380116, -0.18509710, -0.19501636,
-	  -0.13982382, -0.14166819, -0.14132775, -0.14528694, -0.14096905, -0.14351126,
-	  -0.13800356, -0.14027920, -0.13613538, -0.13936795, -0.13621902, -0.14204982])
+         [-0.03348416, -0.01749303, -0.03299091, -0.01739241, -0.03246447, -0.01732016,
+          -0.03205390, -0.01717833, -0.03146383, -0.01699831, -0.03076577, -0.01671795,
+          -0.07952656, -0.06684763, -0.07721455, -0.06668388, -0.07632976, -0.06600113,
+          -0.07523678, -0.06546373, -0.07447040, -0.06508861, -0.07438723, -0.06359288,
+          -0.12526729, -0.11205668, -0.12179433, -0.11068104, -0.12048395, -0.10968948,
+          -0.11912023, -0.10862628, -0.11784090, -0.10803744, -0.11790629, -0.10742354,
+          -0.16859613, -0.15427413, -0.16664444, -0.15464452, -0.16570816, -0.15327556,
+          -0.16409162, -0.15204092, -0.16264608, -0.15102139, -0.16162736, -0.14969205,
+          -0.18736511, -0.19874036, -0.18811230, -0.19758289, -0.18590182, -0.19580301,
+          -0.18234588, -0.19423215, -0.18100376, -0.19380116, -0.18509710, -0.19501636,
+          -0.13982382, -0.14166819, -0.14132775, -0.14528694, -0.14096905, -0.14351126,
+          -0.13800356, -0.14027920, -0.13613538, -0.13936795, -0.13621902, -0.14204982])
 
                       
@@ -3741,8 +3741,8 @@
         domain.beta_vh_dry = 0.9
         domain.beta_h = 0.0 #Use first order in h-limiter
-	
-	# FIXME (Ole): Need tests where these two are commented out
+        
+        # FIXME (Ole): Need tests where these two are commented out
         domain.H0 = 0        # Backwards compatibility (6/2/7)        
-        domain.limit2007 = 0 # Backwards compatibility (14/4/7)        			
+        domain.limit2007 = 0 # Backwards compatibility (14/4/7)                         
         
 
@@ -4383,5 +4383,5 @@
 
 
-        domain.distribute_to_vertices_and_edges()		
+        domain.distribute_to_vertices_and_edges()               
 
         
@@ -4400,5 +4400,5 @@
         for t in domain.evolve(yieldstep = 0.1, finaltime = 0.3):
             
-	    #domain.write_time(track_speeds=True)
+            #domain.write_time(track_speeds=True)
             stage = domain.quantities['stage'].vertex_values
 